using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Threading;
using System.Windows.Forms;
using System.Diagnostics;
using MathParser;

namespace FctParser
{
    public partial class FctForm : Form
    {
        public FctForm()
        {
            InitializeComponent();

            Thread.CurrentThread.CurrentCulture = FormulaParser.Culture;
        }

        private void buttonCalculate_Click(object sender, EventArgs e)
        {
            ConditionalParser<double, FormulaParser> fp = new ConditionalParser<double, FormulaParser>();
            //IntParser fp = new IntParser();

            try
            {
                string sFct = textBoxFct.Text;
                double x;

                Double.TryParse(textBoxValue.Text, out x);

                //Stopwatch sw = new Stopwatch();
                //sw.Start();

                double y;
                //for(long z = 0; z<=x; z++)
                    y = fp.Parse(sFct, x);

                //sw.Stop();
                //y = sw.ElapsedMilliseconds / 1000.0;

                textBoxResult.Text = y.ToString("G14");
            }
            catch(Exception ex)
            {
                MessageBox.Show(ex.Message, "Parser Error");
            }
        }
    }
}
